Subject: bug#36551: [META] Run Guix System on Purism Librem 5

From: Jesse Gibbons <[email-masked]>
Date: Mon, 10 Feb 2020 10:51:31 -0700

Hi Jonathan
On Mon, 2020-02-03 at 13:42 +0100, Jonathan Brielmaier wrote:
> On the Guix days there was a session about running Guix on mobile
> phones. The notes will be published somewhere else. Don't know when
> and
> where yet.
I too hope guix system can work on L5, but it looks like guix system
itself has a long way to go. IIRC, L5 is aarch64, and there are
problems running guix (package manager) on aarch64. If L5 is armhf
that's possibly a little better, but it still needs a lot of work.
> 
> Patch for chatty:
> http://issues.guix.gnu.org/issue/39312
> 
> On my personal (dirty) wip-librem5 branch on Gitlab.com is
> additionally
> software for the Librem5:
> https://gitlab.com/jonsger/Guix/commits/wip-librem5
Thanks for doing this!
> phoc: successful build, somehow working
> phosh: successful build but not yet running
> purple-mm-sms: successful build, don't know if it's working as I lack
> modem for testing
I think I saw somewhere in the purism docs how to emulate a modem for
testing. I'll send a link if I find it, or you can ask in their matrix
rooms.
> calls: not yet pushed, depends on updates (meson) who are not yet in
> master, but on core-updates
If you use this branch as a channel, you can take the necessary meson
updates and dependencies from core-updates to test things. Just make
sure you're prepared to rebuild the world.

Another thing to consider is the bootloader. Last I checked the librem
5 u-boot still isn't available in the current u-boot packages.

Thanks again for working on this!